-- this premake file is intended for MSVC

CEGUI_DIR="../cegui_mk2"
WX_DIR="../wxWidgets-2.6.3"

project.name = "CEImagesetEditor"
project.bindir = "bin"

package = newpackage()
package.name = "CEImagesetEditor"
package.language = "c++"
package.kind = "winexe"

package.files =
{
    matchfiles("src/*.cpp"),
    matchfiles("src/*.h"),
}

package.includepaths =
{
    ".",
    CEGUI_DIR,
    CEGUI_DIR.."/include",
    WX_DIR.."/include",
    WX_DIR.."/include/msvc",
}

package.libpaths =
{
    CEGUI_DIR.."/lib",
    WX_DIR.."/lib/vc_lib",
}

package.links =
{
    "OpenGL32",
    "GLU32",
    "comctl32",
    "rpcrt4",
}

package.config.Release.links =
{
    "CEGUIBase",
    "OpenGLGUIRenderer",
    "wxbase26",
    "wxmsw26_core",
    "wxmsw26_gl",
    "wxmsw26_adv",
}

package.config.Debug.links =
{
    "CEGUIBase_d",
    "OpenGLGUIRenderer_d",
    "wxbase26d",
    "wxmsw26d_core",
    "wxmsw26d_gl",
    "wxmsw26d_adv",
}
package.config.Debug.target = "CEImagesetEditor_d"

package.buildflags =
{
    "no-main",
}

-- write a config.h

package.defines =
{
    "HAVE_CONFIG_H",
}

local file = io.open("config.h", "w")
file:write(
'#define PACKAGE_VERSION "0.1.0"\n',
'#define EDITOR_DATA_DIR ../data\n')
file:close()
