///////////////////////////////////////////////////////////////////////////////
//  For project details and authors, refer to README and AUTHORS files
//
//  This file is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This file is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//
//  To view the licence online, go to: http://www.gnu.org/copyleft/gpl.html
////////////////////////////////////////////////////////////////////////////////
#ifndef _DIALOG_DEFAULT_RESOURCE_GROUPS_H_
#define _DIALOG_DEFAULT_RESOURCE_GROUPS_H_

#include <wx/wx.h>

#include "DialogResourceGroups.h"



//--------------------------------------------------------------------------------
#define ID_RESOURCE_DEFAULT_GROUPS_DIALOG 10000
#define SYMBOL_DIALOGDEFAULTRESOURCEGROUPS_STYLE wxCAPTION|wxRESIZE_BORDER
#define SYMBOL_DIALOGDEFAULTRESOURCEGROUPS_TITLE wxT("Default Groups Settings")
#define SYMBOL_DIALOGDEFAULTRESOURCEGROUPS_IDNAME ID_RESOURCE_DEFAULT_GROUPS_DIALOG
#define SYMBOL_DIALOGDEFAULTRESOURCEGROUPS_SIZE wxSize(300, 240)
#define SYMBOL_DIALOGDEFAULTRESOURCEGROUPS_POSITION wxDefaultPosition

#define ID_COMBOBOX_DEFAULT_IMAGESET	1000
#define ID_COMBOBOX_DEFAULT_FONT		1001
#define ID_COMBOBOX_DEFAULT_SCHEME		1002
#define ID_COMBOBOX_DEFAULT_LOOKNFEELS	1003
#define ID_COMBOBOX_DEFAULT_LAYOUT		1004
#define ID_COMBOBOX_DEFAULT_SCRIPT		1005


//--------------------------------------------------------------------------------
class DialogDefaultResourceGroups: public wxDialog
{
    DECLARE_EVENT_TABLE()

public:

    //! Constructor
    DialogDefaultResourceGroups( DialogResourceGroups* parent, wxWindowID id = SYMBOL_DIALOGDEFAULTRESOURCEGROUPS_IDNAME, const wxString& caption = SYMBOL_DIALOGDEFAULTRESOURCEGROUPS_TITLE, const wxPoint& pos = SYMBOL_DIALOGDEFAULTRESOURCEGROUPS_POSITION, const wxSize& size = SYMBOL_DIALOGDEFAULTRESOURCEGROUPS_SIZE, long style = SYMBOL_DIALOGDEFAULTRESOURCEGROUPS_STYLE );

    //! Creation
    bool Create( DialogResourceGroups* parent, wxWindowID id = SYMBOL_DIALOGDEFAULTRESOURCEGROUPS_IDNAME, const wxString& caption = SYMBOL_DIALOGDEFAULTRESOURCEGROUPS_TITLE, const wxPoint& pos = SYMBOL_DIALOGDEFAULTRESOURCEGROUPS_POSITION, const wxSize& size = SYMBOL_DIALOGDEFAULTRESOURCEGROUPS_SIZE, long style = SYMBOL_DIALOGDEFAULTRESOURCEGROUPS_STYLE );

    //! Creates the controls and sizers
    void CreateControls();


    //! wxEVT_COMMAND_BUTTON_CLICKED event handler for wxID_OK
    void OnOkClick( wxCommandEvent& event );

    //! wxEVT_COMMAND_BUTTON_CLICKED event handler for wxID_CANCEL
    void OnCancelClick( wxCommandEvent& event );

    //! Should we show tooltips?
    static bool ShowToolTips();

	
	wxFlexGridSizer* itemFlexSizerDefaultGroupList;

protected:

	DialogResourceGroups *m_parent;

    //! Read-only text control that shows the selected default group
    wxTextCtrl* m_defaultImageSetGroupTextCtrl;
	wxTextCtrl* m_defaultFontGroupTextCtrl;
	wxTextCtrl* m_defaultSchemeGroupTextCtrl;
	wxTextCtrl* m_defaultLooknfeelsGroupTextCtrl;
	wxTextCtrl* m_defaultLayoutGroupTextCtrl;
	wxTextCtrl* m_defaultScriptGroupTextCtrl;

	wxComboBox* comboImageSet;
	wxComboBox* comboFont;
	wxComboBox* comboScheme;
	wxComboBox* comboLooknFeels;
	wxComboBox* comboLayout;
	wxComboBox* comboScript;

	//! main dialog ok button
    wxButton* m_okButton;
    //! main dialog cancel button
    wxButton* m_cancelButton;
};

#endif // _DIALOG_RESOURCE_GROUPS_H_
